Sync liblockfile 1.09-6 (main) from Debian unstable (main)

Bug #1187601 reported by Logan Rosen on 2013-06-05
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
liblockfile (Ubuntu)
Wishlist
Unassigned

Bug Description

Please sync liblockfile 1.09-6 (main) from Debian unstable (main)

Explanation of the Ubuntu delta and why it can be dropped:
  * debian/patches/fix-buffer-overflows.patch: Fix buffer overflows when
    building strings
    - Protect against overflows caused by long hostnames (LP: #941968)
    - Protect against overflows caused by large PID numbers (LP: #1011477)
The Ubuntu delta was integrated into Debian.

Changelog entries since current saucy version 1.09-5ubuntu1:

liblockfile (1.09-6) unstable; urgency=low

  * Merge 1.09-5ubuntu1
    fix-buffer-overflows.patch: Fix buffer overflows when building strings
    - Protect against overflows caused by long hostnames (LP: #941968)
    - Protect against overflows caused by large PID numbers (LP: #1011477)
    Closes: #677225
  * In Makefile.in it compiles nfslock.so.$(NVER) but installs nfslock.so.$(VER)
    Add 688074-Makefile.in-NVER.patch
    Patch by Yao Zhao
    Closes: #688074
  * Standards Version is 3.9.4

 -- Anibal Monsalve Salazar <email address hidden> Sun, 02 Jun 2013 19:45:54 +1000

Logan Rosen (logan) on 2013-06-05
Changed in liblockfile (Ubuntu):
importance: Undecided → Wishlist
Daniel Holbach (dholbach) wrote :

This bug was fixed in the package liblockfile - 1.09-6
Sponsored for Logan Rosen (logan)

---------------
liblockfile (1.09-6) unstable; urgency=low

  * Merge 1.09-5ubuntu1
    fix-buffer-overflows.patch: Fix buffer overflows when building strings
    - Protect against overflows caused by long hostnames (LP: #941968)
    - Protect against overflows caused by large PID numbers (LP: #1011477)
    Closes: #677225
  * In Makefile.in it compiles nfslock.so.$(NVER) but installs nfslock.so.$(VER)
    Add 688074-Makefile.in-NVER.patch
    Patch by Yao Zhao
    Closes: #688074
  * Standards Version is 3.9.4

 -- Anibal Monsalve Salazar <email address hidden> Sun, 02 Jun 2013 19:45:54 +1000

liblockfile (1.09-5ubuntu1) raring; urgency=low

  * debian/patches/fix-buffer-overflows.patch: Fix buffer overflows when
    building strings
    - Protect against overflows caused by long hostnames (LP: #941968)
    - Protect against overflows caused by large PID numbers (LP: #1011477)

 -- Tyler Hicks <email address hidden> Wed, 09 Jan 2013 12:23:07 -0800

Changed in liblockfile (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers